## ros-noetic-roslaunch 1.16.0

=== debian/changelog ===
ros-noetic-roslaunch (1.16.0-1buster) buster; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Wed, 15 Feb 2023 06:00:00 -0000

ros-noetic-roslaunch (1.15.15-1buster) buster; urgency=high

  * Move @jacobperron from maintainer to author (#2302 <https://github.com/ros/ros_comm/issues/2302>)
  * Fix $(dirname) resolution in include tags (#2173 <https://github.com/ros/ros_comm/issues/2173>)
  * Contributors: Robert Haschke, Shane Loretz

 -- Michael Carroll <michael@openrobotics.org>  Wed, 23 Nov 2022 06:00:00 -0000

ros-noetic-roslaunch (1.15.14-1buster) buster; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 06 Jan 2022 06:00:00 -0000

ros-noetic-roslaunch (1.15.13-1buster) buster; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 22 Sep 2021 05:00:00 -0000

ros-noetic-roslaunch (1.15.12-1buster) buster; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 21 Sep 2021 05:00:00 -0000

ros-noetic-roslaunch (1.15.11-1buster) buster; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 06 Apr 2021 05:00:00 -0000

ros-noetic-roslaunch (1.15.10-1buster) buster; urgency=high

  * Fix AttributeError isAlive (#2092 <https://github.com/ros/ros_comm/issues/2092>)
  * Contributors: Brutus The Tschiepel

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 18 Mar 2021 05:00:00 -0000

ros-noetic-roslaunch (1.15.9-1buster) buster; urgency=high

  * Update maintainers (#2075 <https://github.com/ros/ros_comm/issues/2075>)
  * Fix handling of single quotes in command arguments on Windows (#2051 <https://github.com/ros/ros_comm/issues/2051>)
  * Fix spelling (#2066 <https://github.com/ros/ros_comm/issues/2066>)
  * Clearer error message (#2035 <https://github.com/ros/ros_comm/issues/2035>)
  * Ignore underscores when parsing literal numeric values for Python 3 compatibility (#2022 <https://github.com/ros/ros_comm/issues/2022>)
  * Contributors: Andreas Vinter-Hviid, Jochen Sprickerhof, Sean Yen, Shane Loretz, tomoya

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 16 Oct 2020 05:00:00 -0000

ros-noetic-roslaunch (1.15.8-1buster) buster; urgency=high

  * fix bad relative import (still Python 2 style) (#1973 <https://github.com/ros/ros_comm/issues/1973>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 23 Jul 2020 05:00:00 -0000

ros-noetic-roslaunch (1.15.7-1buster) buster; urgency=high

  * fix NameError in launch error handling (#1965 <https://github.com/ros/ros_comm/issues/1965>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 28 May 2020 05:00:00 -0000

ros-noetic-roslaunch (1.15.6-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 21 May 2020 05:00:00 -0000

ros-noetic-roslaunch (1.15.5-1buster) buster; urgency=high

  * add --sigint-timeout and --sigterm-timeout parameters (#1937 <https://github.com/ros/ros_comm/issues/1937>)
  * roslaunch-check: search dir recursively (#1914 <https://github.com/ros/ros_comm/issues/1914>)
  * sort printed nodes by namespace alphabetically (#1934 <https://github.com/ros/ros_comm/issues/1934>)
  * remove pycrypto import (not used) (#1922 <https://github.com/ros/ros_comm/issues/1922>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 15 May 2020 05:00:00 -0000

ros-noetic-roslaunch (1.15.4-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 19 Mar 2020 05:00:00 -0000

ros-noetic-roslaunch (1.15.3-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 28 Feb 2020 06:00:00 -0000

ros-noetic-roslaunch (1.15.2-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 25 Feb 2020 06:00:00 -0000

ros-noetic-roslaunch (1.15.1-1buster) buster; urgency=high

  * use setuptools instead of distutils (#1870 <https://github.com/ros/ros_comm/issues/1870>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 24 Feb 2020 06:00:00 -0000

ros-noetic-roslaunch (1.15.0-1buster) buster; urgency=high

  * update test to pass with old and new yaml (#1893 <https://github.com/ros/ros_comm/issues/1893>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 21 Feb 2020 06:00:00 -0000

ros-noetic-roslaunch (1.14.4-1buster) buster; urgency=high

  * allow empty machine arg in node tag (#1885 <https://github.com/ros/ros_comm/issues/1885>)
  * use double quotes for portable roslaunch-check command (#1883 <https://github.com/ros/ros_comm/issues/1883>)
  * bump CMake minimum version to avoid CMP0048 warning (#1869 <https://github.com/ros/ros_comm/issues/1869>)
  * wrap env prefix with double quotes (#1810 <https://github.com/ros/ros_comm/issues/1810>)
  * add ignore default args option to roslaunch-check (#1788 <https://github.com/ros/ros_comm/issues/1788>)
  * add platform check for --args code path (#1809 <https://github.com/ros/ros_comm/issues/1809>)
  * [Windows] workaround for Python 2 xmlrpc performance issues (#1872 <https://github.com/ros/ros_comm/issues/1872>)
  * allow empty ssh password for remote launching (#1826 <https://github.com/ros/ros_comm/issues/1826>)
  * [Windows] escape drive as well as path separator (#1815 <https://github.com/ros/ros_comm/issues/1815>)
  * more Python 3 compatibility (#1795 <https://github.com/ros/ros_comm/issues/1795>)
  * use condition attributes to specify Python 2 and 3 dependencies (#1792 <https://github.com/ros/ros_comm/issues/1792>)
  * [Windows] skip cat related test cases on Windows build (#1724 <https://github.com/ros/ros_comm/issues/1724>)
  * [Windows] use taskkill to kill process tree (#1725 <https://github.com/ros/ros_comm/issues/1725>)
  * pass missing args (#1733 <https://github.com/ros/ros_comm/issues/1733>)
  * fix for roslaunch-check on Python 3
  * roslaunch added --required option (#1681 <https://github.com/ros/ros_comm/issues/1681>)
  * more Python 3 compatibility (#1783 <https://github.com/ros/ros_comm/issues/1783>)
  * more Python 3 compatibility (#1782 <https://github.com/ros/ros_comm/issues/1782>)

